# $Id: bogofilter.spec.in,v 1.32 2003/04/25 14:20:05 relson Exp $

Name: bogofilter
Version: 0.12.3
Release: 1
URL: http://bogofilter.sourceforge.net
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Internet
Summary: fast anti-spam filtering by Bayesian statistical analysis
Buildroot: %{_tmppath}/%{name}-%{version}-root
%define mydocdir %{_docdir}/%{name}

%description
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms  (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --sysconfdir=%{_sysconfdir}

%build
make
make DESTDIR=$RPM_BUILD_ROOT check

%clean

[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install

make DESTDIR=$RPM_BUILD_ROOT install-strip

cp $RPM_BUILD_ROOT%{_sysconfdir}/bogofilter.cf.example \
   $RPM_BUILD_ROOT%{_sysconfdir}/bogofilter.cf

for n in xml html ; do
  install -d .inst/$n
  install -m644 doc/*.$n .inst/$n
done

for d in contrib tuning ; do
  install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/$d
  files=`find $d -maxdepth 1 -type f`
  for f in $files ; do
    case $f in
      *.c|*.o|*.obj|*/Makefile*) continue ;;
      *)
        cp -p $f $RPM_BUILD_ROOT%{_datadir}/%{name}/$d ;;
    esac
  done
done

for README in randomtrain ; do
  ln -s ../contrib/README.$README doc/README.$README
done

%files
%defattr(-,root,root)
%{_mandir}/man1/bogofilter.1*
%{_mandir}/man1/bogolexer.1*
%{_mandir}/man1/bogoutil.1*
%{_mandir}/man1/bogoupgrade.1*
%{_bindir}/bogofilter
%{_bindir}/bogolexer
%{_bindir}/bogoutil
%{_bindir}/bogoupgrade
%{_sysconfdir}/bogofilter.cf.example
%config(noreplace) %{_sysconfdir}/bogofilter.cf

%doc AUTHORS CHANGES-0.10 CHANGES-0.11 CHANGES-0.12 COPYING INSTALL METHODS NEWS
%doc README README.cvs RELEASE.NOTES-0.11 RELEASE.NOTES-0.12 TODO UPGRADE
%doc doc/bogofilter-tuning.HOWTO doc/integrating-with-qmail
%doc doc/programmer
%doc .inst/html .inst/xml

%dir %{_datadir}/%{name}/contrib/*
%dir %{_datadir}/%{name}/tuning/*

%changelog
